/**
 * giveusaclue.c -- send clues to dashboard
 *
 * this one goes out to Lionel Blair and Una Stubbs
 *
 */

#include <unistd.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <fcntl.h>
#include <errno.h>
#include <stdlib.h>
#include <glib.h>
#include <glib/giochannel.h>

#include <stdio.h>
#include <string.h>

/* dashboard frontend */
#include "dashboard-frontend.c"

#include "giveusaclue.h"

void
send_dashboard_clue(const gchar *number, const gchar *content)
{
    char *cluepacket;

    cluepacket = dashboard_build_cluepacket_then_free_clues (
            "Phone Manager",
            TRUE,
            "Text message",
            dashboard_build_clue (number, "phone", 10),
            dashboard_build_clue (content, "textblock", 10),
            NULL);

    dashboard_send_raw_cluepacket (cluepacket);
    g_free (cluepacket);
}

